#!/bin/bash

#N=128
#N=256
#N=512
N=4096


EPS_FILENAME=`basename $0 | sed s/\.plt$/\.eps/`


gnuplot << EOF

load '/Users/ispanovity/Work/gnuplot/gnuplot.include.pm3d'

set size 0.565,0.75

set term postscript enhanced "IspaniusSans" 18 color fontfile add 'IspaniusSans.pfa' fontfile add 'IspaniusSans-Italic.pfa' fontfile add 'IspaniusSansSymbol-Oblique.pfa'
set out "$EPS_FILENAME"

#set style line 2 lc rgb '#0060ad' lt 1 lw 4 pt 5

#set log xy

set format x "-%.1f"
#set format y "10^{%L}"
#set ytics 1e-6,10,1e2

#set xtics 0,0.1,0.4
#set mxtics 2

unset grid

set xtics 0,0.2,1.0
set ytics 0,0.2,1.0
set xtics add ("0" 0, "-1" 1)
set xtics out scale 0.5
set ytics out scale 0.5

#set lmargin 7
#set rmargin 2
#set tmargin 1.2
#set bmargin 3.2

set xlabel "{/IspaniusSans-Oblique D}" offset 0,0.2
set ylabel "{/IspaniusSans-Oblique A}" offset 1.0,0



#set log y

#set format x "10^{%L}"
#set format y "10^{%L}"


#set label "{/IspaniusSansSymbol-Oblique g}^{0.8}" at 1.2e-2,1.6e-2

#set key at 6e1,1e-1 samplen 1.0 box width -1.2 height 0.6 spacing 1.1 opaque

unset key

ind=0
set pm3d map corners2color c1
set size sq

set log cb
set cbrange [0.1:10.0]

load "extended-black-body.pal"

set colorbox user size 0.025,0.494 origin 0.47,0.145



#sp '/mnt/adat/ispanovity/run/2016-03-04_stoch_cont_ddd/rho0_4.0/order_parameter/op_Y_1.0.dat' u (-\$1):2:(\$4/1e6)
sp [-0.1:1.1][-0.1:1.1] 'op2_Y_1.0.dat' u (\$1-0.1):(\$2-0.1):(\$4/4096/1.2)


EOF
