#!/bin/bash


EPS_FILENAME=`basename $0 | sed s/\.plt$/\.eps/`


gnuplot << EOF

load '/Users/ispanovity/Work/gnuplot/gnuplot.include.solid'

#set size 0.565,0.625
set size 0.565,0.75

set term postscript enhanced "IspaniusSans" 18 color fontfile add 'IspaniusSans.pfa' fontfile add 'IspaniusSans-Italic.pfa' fontfile add 'IspaniusSansSymbol-Oblique.pfa'
set out "$EPS_FILENAME"

#set style line 2 lc rgb '#0060ad' lt 1 lw 4 pt 5

#set log xy

#set format x "10^{%L}"
#set format y "10^{%L}"
#set ytics 1e-6,10,1e2

#set xtics 0,0.1,0.4
#set mxtics 2

#set lmargin 7
#set rmargin 2
set tmargin 3.1
set bmargin 4.1

#set xlabel "1/{/IspaniusSansSymbol-Oblique l}" offset 0,0.2
#set ylabel "{/IspaniusSans-Oblique S}_{/IspaniusSansSymbol-Oblique r}({/IspaniusSansSymbol-Oblique l})"



#set log y

#set format x "10^{%L}"
#set format y "10^{%L}"


#set label "{/IspaniusSansSymbol-Oblique g}^{0.8}" at 1.2e-2,1.6e-2

#set key at 6e1,1e-1 samplen 1.0 box width -1.2 height 0.6 spacing 1.1 opaque
unset key

set xtics 0,11,22 out scale 0.5 offset 0,-0.5
set ytics 0,11,22 out scale 0.5

#load "extended-black-body.pal"

#set pm3d map corners2color c1
set size sq

#set cbrange [0:3]

#set colorbox user size 0.025,0.494 origin 0.47,0.145
#set object rectangle from screen 0.035,0.05 to screen 0.56,0.7 lw 4 front fillstyle empty

unset grid
set bars 3.0
p [0:22][0:22] 'conf.007035_tau_0.4' u (\$1*22.0):(\$4>0.0?\$2*22.0:1/0):(\$2*22.0):(\$2*22.0+0.6):(\$2*22.0) with candlesticks ls 1,\
	'' u (\$1*22.0):(\$4<0.0?\$2*22.0:1/0):(\$2*22.0-0.6):(\$2*22.0):(\$2*22.0) with candlesticks ls 2

EOF
