#!/bin/bash

#N=128
#N=256
#N=512
N=4096


EPS_FILENAME=`basename $0 | sed s/\.plt$/\.eps/`


gnuplot << EOF

load '/Users/ispanovity/Work/gnuplot/gnuplot.include.pm3d'

#set size 0.565,0.625
set size 0.565,0.75

set term postscript enhanced "IspaniusSans" 18 color fontfile add 'IspaniusSans.pfa' fontfile add 'IspaniusSans-Italic.pfa' fontfile add 'IspaniusSansSymbol-Oblique.pfa'
set out "$EPS_FILENAME"

#set style line 2 lc rgb '#0060ad' lt 1 lw 4 pt 5

#set log xy

#set format x "10^{%L}"
#set format y "10^{%L}"
#set ytics 1e-6,10,1e2

#set xtics 0,0.1,0.4
#set mxtics 2

#set lmargin 7
#set rmargin 2
#set tmargin 0
#set bmargin 3.2

#set xlabel "1/{/IspaniusSansSymbol-Oblique l}" offset 0,0.2
#set ylabel "{/IspaniusSans-Oblique S}_{/IspaniusSansSymbol-Oblique r}({/IspaniusSansSymbol-Oblique l})"



#set log y

#set format x "10^{%L}"
#set format y "10^{%L}"


#set label "{/IspaniusSansSymbol-Oblique g}^{0.8}" at 1.2e-2,1.6e-2

#set key at 6e1,1e-1 samplen 1.0 box width -1.2 height 0.6 spacing 1.1 opaque
unset key

set xtics 0,32,128 out scale 0.5
set ytics 0,32,128 out scale 0.5

set format y ""

load "diverging_map.pal"

set pm3d map corners2color c1
set size sq

set cbrange [-1.5:1.5]

set colorbox user size 0.025,0.494 origin 0.47,0.145
#set object rectangle from screen 0.035,0.05 to screen 0.56,0.7 lw 4 front fillstyle empty

sp [0:128][0:128] 'kappa_00004000.dat' u (\$1*2*64/63):(\$2*2*64/63):3

EOF
