#!/bin/bash

#N=128
#N=256
#N=512
N=4096


EPS_FILENAME=`basename $0 | sed s/\.plt$/\.eps/`


gnuplot << EOF

load '/Users/ispanovity/Work/gnuplot/gnuplot.include'

set size 0.565,0.625

set term postscript enhanced "IspaniusSans" 18 color fontfile add 'IspaniusSans.pfa' fontfile add 'IspaniusSans-Italic.pfa' fontfile add 'IspaniusSansSymbol-Oblique.pfa'
set out "$EPS_FILENAME"

#set style line 2 lc rgb '#0060ad' lt 1 lw 4 pt 5

set log xy

set format x "10^{%L}"
set format y "10^{%L}"
#set ytics 1e-6,10,1e2

#set xtics 0,0.1,0.4
#set mxtics 2

set lmargin 7
set rmargin 2
set tmargin 1.2
set bmargin 3.2

set xlabel "{/IspaniusSansSymbol-Oblique g}" offset 0,0.2
set ylabel "{/IspaniusSansSymbol-Oblique t}" offset 0.2,0
#set ylabel "{/IspaniusSans-Oblique S}_{/IspaniusSansSymbol-Oblique r}({/IspaniusSansSymbol-Oblique l})"



#set log y

#set format x "10^{%L}"
#set format y "10^{%L}"


#set label "{/IspaniusSansSymbol-Oblique g}^{0.8}" at 1.2e-2,1.6e-2

#set key at 2.5e-2,6e-1 samplen 1.0 box width 1.0 height 0.6 spacing 1.1 opaque
set key at screen 0.257,0.55 samplen 1.0 box width 1.0 height 0.6 spacing 1.1 opaque
#unset key

#set xtics 0,32,128 out scale 0.5
#set ytics 0,32,128 out scale 0.5


p [1e-3:10][:] 'avg_stress_strain_ddd_n512' u (\$2/sqrt(512.0)):(\$1/sqrt(512.0)) w p ls 1 title "DDD",\
	'stress_strain_D_-0.6_A_0.6_Y_1.0_00008.dat' u ((\$4-14.5)/64/64):(\$1>4000?\$2:1/0) w l ls 2 title "SCPM"

EOF
